@echo off

if "%MAIN_DB_USER%"=="" set MAIN_DB_USER=postgres
set LIQUIBASE_COMMAND_USERNAME=%MAIN_DB_USER%

if "%MAIN_DB_PASS%"=="" set MAIN_DB_PASS=postgres
set LIQUIBASE_COMMAND_PASSWORD=%MAIN_DB_PASS%

if "%MAIN_DB_HOST%"=="" set MAIN_DB_HOST=localhost
if "%MAIN_DB_PORT%"=="" set MAIN_DB_PORT=5432
if "%MAIN_DB_NAME%"=="" set MAIN_DB_NAME=KIESELSTEIN
set LIQUIBASE_COMMAND_URL=jdbc:postgresql://%MAIN_DB_HOST%:%MAIN_DB_PORT%/%MAIN_DB_NAME%

if "%LIQUIBASE_COMMAND_CHANGELOG_FILE%"=="" set LIQUIBASE_COMMAND_CHANGELOG_FILE=changelog.xml

liquibase %*